<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str=$_GET[id_str];
$id_par=$_REQUEST[id_par];

// list expected fields
$expected = array('new_slika','q_thumb_sirina','q_thumb_visina','create_big','q_big_sirina','q_big_visina',
					'q_naslov','q_link','q_new_win','q_big_sirina','q_big_visina');
// set required fields
$required = array('new_slika');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {		
	//insert new data in database
	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	
	//ako postoji slika, spremi je
	if ($_FILES['new_slika']['size']) {
		include ("func_img.php");		
	} 
	
	//nova pozicija
	$sql99 = "select pozicija from b7_paragraf_slike where id_paragraf='$id_par' order by pozicija desc limit 1";
	$rez99=mysql_query($sql99,$conn);
	if ($rez99) {
		$row99=mysql_fetch_array($rez99);
		$pozicija=$row99[0];
		$pozicija++;
	}
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_link_mysql=mysql_real_escape_string($q_link);
	
	$result = mysql_query("insert into b7_paragraf_slike values (
							'',
							'$id_par',
							'$id_str',
							'$id_kat',
							'$id_rub',
							'$q_naslov_mysql',
							'$q_link_mysql',
							
							'$q_thumb_ime',							
							'$q_thumb_sirina',
							'$q_thumb_visina',
							'$q_big_ime',
							'$q_big_sirina',
							'$q_big_visina',
							'$q_ikona_ime',
							'$q_ikona_sirina',
							'$q_ikona_visina',
							'$pozicija',
							'$q_new_win',
							'$log_username',
							now()							
							)");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno je dodana nova slika u bazu<br />';
		//zapis teksta za tekst i slike
		include ("func/uredi_tekst.php");
		uredi_tekst($id_par,$parametar_domena,$parametar_tekst_direktorij,$conn);
		
		
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za upis vijesti u bazu';
}

if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>